Subject: RE: comment on feature-T30-mapping-01.txt

From: "McIntyre, Lloyd" <[email-masked]>
Date: Wed, 30 Jun 1999 18:48:01 -0700

Tamura-san,
Please see my responses below.

Regards,
Lloyd

> -----Original Message-----
> From:	Hiroshi Tamura [SMTP:[email-masked]]
> Sent:	Wednesday, June 30, 1999 5:58 PM
> To:	[email-masked]
> Cc:	[email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Subject:	RE: comment on feature-T30-mapping-01.txt
> 
> McIntyre-san,
> 
> Thanks for quick response.
> 
> >> 	[McIntyre, Lloyd]  RFC2532 section 3, paragraph 2 states that any
> >> combination of RFC2301 profiles may be used. It does not make provision
> for
> >> using combination of features between profiles, as per your proposal.
> 
> RFC2532 section 3, paragraph 2
> --- begin quote ---
>    A recipient MAY support any or all (or any combination) of the TIFF
>    profiles defined in RFC 2301, in addition to profile S.  A recipient
>    which supports additional profiles SHOULD indicate this support as
>    per section 3.2 or 3.3 of this document.  As a consequence, a sender
>    MAY use those additional TIFF profiles when sending to a recipient
>    with the corresponding capabilities.
> --- end qoute ---
> 
> Do these mean 
>   "Ifax capabilities are thought as the unit of Profile defined in
> RFC2301." ?
	[McIntyre, Lloyd]  For IFax it is the feature set within each
profile. The Profile-S feature set is fixed while the content of the feature
sets within the other profiles may vary as sub-sets of those Profile sets.
In other words, you may mix and match features within a profile but not
between profiles.

> Is it not possbile to indicate image-file-structure=TIFF-S and MMR ?
	[McIntyre, Lloyd]  Yes it is possible to indicate this.
> In order to support only MR + Profile S, do we have to the superior
> profile to 
> Profile S ?
	[McIntyre, Lloyd]  Within the context of IFax [RFC2532] or
[RFC2305], you must support the associated higher profile in order to
support features such as MR, MMR, JBIG-b&w, JPEG, JBIG-color, MRC,
resolutions other than 200x100 or 200x200 (and their metric equivalence),
page size other than A4, and others.

> It seems to me that they are very strict rules,
> comparing with capability exchange in G3/G4 facsmile.
> There would be small combinations.
	[McIntyre, Lloyd]  There are somewhat similar rules in G3.  The G3
minimum set (profile) requires MH, 200x100, A4 and no ECM. All else is
optional, moves you to a higher level. To do MMR, JBIG-b&w, JPEG, JBIG-color
or MRC requires ECM. To do color (i.e. JPEG, JBIG-color or MRC) you must
have JPEG, ECM and only square resolutions. One of the TIFF-FX profile
rational was to group characteristics around encoders because encoders are
significant resource indicators. For historic TIFF-F reasons, Profile F
contains more than one encoders. 

> If capablity exchange can be done properly, no strict rules are necessary,
> I think.
	[McIntyre, Lloyd]  This may be true.
> Capablity exchange can be done for each of feature tags defined in
> RFC2531,
> although some combinations may be meaningless.
	[McIntyre, Lloyd]  True.

> I would like to confirm if McIntyre-san's thinking is
> common understanding in this WG or not.
> 
> I know lots of subscriber are very busy. 
> But I welcome lots of comments, regardless of yes or no.
> 
> Someone probably would like to indicate image-file-structure=TIFF-S and
> MMR.
> Maybe, it is true of fax manufacturers, especially in Japan, I believe.
> 
> Regards,
> --
> Hiroshi Tamura, Ricoh Company, LTD.
> Mail: [email-masked]
> Tel: +81-462-28-7459  Fax: +81-462-28-7500 (SUB/F-code 5727)

---

From: Hiroshi Tamura <[email-masked]>
Date: Thu, 01 Jul 1999 11:25:30 +0900

McIntyre-san,

Thank you again.

>> In other words, you may mix and match features within a profile but not

I see your intension.

>> contains more than one encoders. 

MR, higher resolutions more than 200x200 dpi and paper-size more than A4
can be feasible without ECM. These capabilities can be indicated
independently in DIS.

That is,

MH, A3, 400x400 dpi

This combination is OK for G3 fax.

But, if so, in order to do this combination, Profile F would
be necessary.

(Excuse me, McIntyre-san. You are experts. You already know these facts.
I would like to let other people know them.)

>> > Maybe, it is true of fax manufacturers, especially in Japan, I believe.

I would like to wait for other comments.

Anyway, thank you again.

Regards,